'Newland.Toubiz.Poi.Neos:List':
  abstract: true
  superTypes:
    'Newland.NeosCommon:Plugin': true

  ui:
    label: i18n
    icon: map-marker
    inspector:
      groups:
        configuration:
          label: i18n
          icon: wrench
        filter:
          label: i18n
          icon: filter

  properties:
    hideFilters:
      type: boolean
      defaultValue: false
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter

    sorting:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: false
            values:
              alphabetic:
                label: i18n
              random:
                label: i18n

    preselectedCategories:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-categories
    preselectedProperties:
      type: array
      ui:
        label: i18n
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-attributes

    preselectedTags:
      type: array
      ui:
        label: Newland.Toubiz.Poi.Neos:NodeTypes.List:properties.preselectedTags
        reloadIfChanged: true
        help:
          message: i18n
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            dataSourceIdentifier: newland-toubiz-poi-neos-tag-attributes

    regions:
      type: array
      defaultValue: []
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: true
            dataSourceIdentifier: newland-toubiz-poi-neos-regions

    preselectedCities:
      type: array
      defaultValue: []
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: filter
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            allowEmpty: true
            dataSourceIdentifier: newland-toubiz-poi-neos-pois
            dataSourceAdditionalData:
              mainType: '6'

'Newland.Toubiz.Poi.Neos:ListAttraction':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true

  ui:
    label: i18n
    group: 'poi'

  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 0

'Newland.Toubiz.Poi.Neos:ListGastronomy':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    group: 'gastronomy'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 1

'Newland.Toubiz.Poi.Neos:ListTour':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    group: 'tour'
  properties:
    articleType:
      type: string
      defaultValue: 2

'Newland.Toubiz.Poi.Neos:ListLodging':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    group: 'lodging'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 3

'Newland.Toubiz.Poi.Neos:ListDirectMarketer':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    group: 'directMarketer'
  properties:
    preselectedTags: []
    articleType:
      type: string
      defaultValue: 4

'Newland.Toubiz.Poi.Neos:ListCity':
  superTypes:
    'Newland.Toubiz.Poi.Neos:List': true
  ui:
    label: i18n
    group: 'city'
  properties:

    articleType:
      type: string
      defaultValue: 6

    preselectedCategories: []
    preselectedProperties: []
    preselectedTags: []
